Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class BodyStartFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.BodyStartFunction

All Implemented Interfaces:
  Function

    public class BodyStartFunction

extends FunctionBase

Class corresponding to the body-start Property Value function. See Sec. 5.10.4 of the XSL-FO spec.

Constructor Summary
`BodyStartFunction()`

Method Summary
`Property` | `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`int` | `getRequiredArgsCount()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getOptionalArgDefault, getOptionalArgsCount, getPercentBase, getPropertyName, hasVariableArgs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyStartFunction

    public BodyStartFunction()

Method Detail

### getRequiredArgsCount

    public int getRequiredArgsCount()

  Returns:
    the number of required (non-optional) arguments that must be specified in the argument list

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Evaluate the function

  Parameters:
    `args` - an array of Properties that should be evaluated
    `pInfo` - property information instance that applies to property being evaluated
  Returns:
    the Property satisfying the function
  Throws:
    `PropertyException` - for problems when evaluating the function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.